# Struct bitflags::__core::thread::KeyInner [−] [src]

    pub struct KeyInner<T> {
        // some fields omitted
    }

Unstable (`thread_local_internals`)

## Methods

### `impl<T> KeyInner<T>`

#### `const fn new() -> KeyInner<T>`

Unstable (`thread_local_internals`)

#### `unsafe fn set(&self, ptr: *mut T)`

Unstable (`thread_local_internals`)

#### `unsafe fn get(&self) -> *mut T`

Unstable (`thread_local_internals`)

## Trait Implementations

### `impl<T> Sync for KeyInner<T>`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)